import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthGuardService } from './auth-guard.service';
import { LoginComponent } from './login/login.component';
import { LogoutComponent } from './logout/logout.component';
import { MyTenantsComponent } from './my-tenants/my-tenants.component';
import { MyPremisesComponent } from './my-premises/my-premises.component';
import { MyFlatsComponent } from './my-flats/my-flats.component';
import { MyParkingsComponent } from './my-parkings/my-parkings.component';
import { MyCommercialUnitsComponent } from './my-commercial-units/my-commercial-units.component';
import { TenantDetailsComponent } from './tenant-details/tenant-details.component';
import { PremiseDetailsComponent } from './premise-details/premise-details.component';
import { FlatDetailsComponent } from './flat-details/flat-details.component';
import { ParkingDetailsComponent } from './parking-details/parking-details.component';
import { CommercialUnitDetailsComponent } from './commercial-unit-details/commercial-unit-details.component';
import { OverheadAdvanceListComponent } from './overhead-advance-list/overhead-advance-list.component';
import { OverheadAdvanceDetailsComponent } from './overhead-advance-details/overhead-advance-details.component';


const routes: Routes = [
  { path: 'tenants', component: MyTenantsComponent, canActivate: [ AuthGuardService ] },
  { path: 'premises', component: MyPremisesComponent, canActivate: [ AuthGuardService ] },
  { path: 'flats', component: MyFlatsComponent, canActivate: [ AuthGuardService ] },
  { path: 'parkings', component: MyParkingsComponent, canActivate: [ AuthGuardService ] },
  { path: 'commercialunits', component: MyCommercialUnitsComponent, canActivate: [ AuthGuardService ] },
  { path: 'tenant/:id', component: TenantDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'tenant', component: TenantDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'premise/:id', component: PremiseDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'premise', component: PremiseDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'flat/:id', component: FlatDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'flat', component: FlatDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'parking/:id', component: ParkingDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'parking', component: ParkingDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'commercialunit/:id', component: CommercialUnitDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'commercialunit', component: CommercialUnitDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'overheadadvances', component: OverheadAdvanceListComponent, canActivate: [ AuthGuardService ] },
  { path: 'overheadadvance/:id', component: OverheadAdvanceDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'overheadadvance', component: OverheadAdvanceDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'logout', component: LogoutComponent },
  { path: 'login', component: LoginComponent }
]

@NgModule({
  imports: [RouterModule.forRoot(routes, {onSameUrlNavigation:'reload'})],
  exports: [RouterModule]
})

export class AppRoutingModule { }
